Package org.apache.maven.scm.provider.starteam.command.checkin

## Class StarteamCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.starteam.command.checkin.StarteamCheckInCommand

All Implemented Interfaces:
  `Command`, `StarteamCommand`

    public class StarteamCheckInCommand
    extends AbstractCheckInCommand
    implements StarteamCommand

Author:
  Dan T. Tran, Olivier Lamy

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`StarteamCheckInCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(StarteamScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message, ScmVersion version, java.lang.String issueType, java.lang.String issueValue)`
`protected CheckInScmResult` `executeCheckInCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### StarteamCheckInCommand

    public StarteamCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand​(ScmProviderRepository repo,
                                                     ScmFileSet fileSet,
                                                     java.lang.String message,
                                                     ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(StarteamScmProviderRepository repo,
                                                                             ScmFileSet fileSet,
                                                                             java.lang.String message,
                                                                             ScmVersion version,
                                                                             java.lang.String issueType,
                                                                             java.lang.String issueValue)